MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025304Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-01 11:392015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025304: Visualization, TKOpenGl - support texturing within built-in GLSL programs
DescriptionTo provide complete replacement to FFP, built-in GLSL programs should support texturing.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025306closedbugmaster Visualization, TKOpenGl - support texturing within RayTracing 
related to 0025474closedbugmaster Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs 
related to 0025539closedbugmaster Visualization, TKOpenGl - support environmental texture within built-in GLSL programs 
child of 0025282closedbugmaster Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP 
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0034624)
git (administrator)
2014-11-23 18:06

Branch CR25304 has been created by kgv.

SHA-1: 84f7194f6f6bae7d20f389ddbaef1bd72c519d3a


Detailed log of new commits:

Author: kgv
Date: Sun Nov 23 18:03:58 2014 +0300

    0025304: Visualization, TKOpenGl - support texturing within built-in GLSL programs
(0034656)
git (administrator)
2014-11-24 21:48

Branch CR25304 has been updated by kgv.

SHA-1: b5b83d4c30c12ab7f0d9da9d0dc46b4a98bb6198


Detailed log of new commits:

Author: kgv
Date: Mon Nov 24 21:47:44 2014 +0300

    RGB texturing in DECALE mode

(0034657)
git (administrator)
2014-11-24 21:50

Branch CR25304_1 has been created by kgv.

SHA-1: f3a933c8b8254007806b58702668f1223880a2a9


Detailed log of new commits:

Author: kgv
Date: Mon Nov 24 21:49:45 2014 +0300

    0025304: Visualization, TKOpenGl - support texturing within built-in GLSL programs
(0034662)
git (administrator)
2014-11-25 08:50

Branch CR25304_1 has been updated forcibly by kgv.

SHA-1: c5d0479d041f7a2017ad48519d40ae010463e013
(0034663)
git (administrator)
2014-11-25 08:52

Branch CR25304_1 has been updated forcibly by kgv.

SHA-1: 5b8b861deae82011771f39e8dcbee509e03437bb
(0034665)
kgv (developer)
2014-11-25 10:48
edited on: 2014-11-25 14:29

Please take a look at the patch in branch CR25304_1 (based on CR25474 for 0025474).

(0034668)
dbp (developer)
2014-11-25 14:22

Dear bugmaster,

please tesh the patch in branch CR25304_1.
(0034678)
git (administrator)
2014-11-25 16:48

Branch CR25304_1 has been updated forcibly by apv.

SHA-1: 1de5605a03b0a619372ec2ea7d505e689f5a2cd6
(0034680)
apv (tester)
2014-11-25 17:07

Branch CR25304_1 has been rebased on the current master
(0034701)
apv (tester)
2014-11-26 14:23

Dear BugMaster,

Branch CR25304_1 from occt git-repository (and master from products git-repository) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 1de5605a03b0a619372ec2ea7d505e689f5a2cd6

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 359498160 / 359261588
Total CPU difference: 48507.28000000023 / 47823.01999999983

Testing on Windows:
Total MEMORY difference: 273359348 / 273727588
Total CPU difference: 45241.390625 / 40219.09375
(0036620)
git (administrator)
2015-01-26 12:37

Branch CR25304_1 has been deleted by inv.

SHA-1: 1de5605a03b0a619372ec2ea7d505e689f5a2cd6
(0036621)
git (administrator)
2015-01-26 12:37

Branch CR25304 has been deleted by inv.

SHA-1: b5b83d4c30c12ab7f0d9da9d0dc46b4a98bb6198

- Related Changesets
occt: master 6c6aadb1
Timestamp: 2014-11-25 05:52:08
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025304: Visualization, TKOpenGl - support texturing within built-in GLSL programs
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-01 11:39 kgv New Issue
2014-10-01 11:39 kgv Assigned To => duv
2014-10-01 11:39 kgv Relationship added related to 0025282
2014-10-01 11:39 kgv Relationship added child of 0025146
2014-10-01 11:42 kgv Relationship replaced child of 0025282
2014-10-01 11:48 kgv Relationship added related to 0025306
2014-10-01 11:49 kgv Status new => assigned
2014-10-27 15:43 kgv Target Version 6.8.0 => 7.1.0
2014-11-23 18:06 git Note Added: 0034624
2014-11-24 21:48 git Note Added: 0034656
2014-11-24 21:50 git Note Added: 0034657
2014-11-25 08:50 git Note Added: 0034662
2014-11-25 08:52 git Note Added: 0034663
2014-11-25 10:48 kgv Note Added: 0034665
2014-11-25 10:48 kgv Assigned To duv => dbp
2014-11-25 10:48 kgv Status assigned => resolved
2014-11-25 10:48 kgv Description Updated View Revisions
2014-11-25 14:22 dbp Note Added: 0034668
2014-11-25 14:22 dbp Assigned To dbp => bugmaster
2014-11-25 14:22 dbp Status resolved => reviewed
2014-11-25 14:29 kgv Note Edited: 0034665 View Revisions
2014-11-25 15:44 apv Assigned To bugmaster => apv
2014-11-25 16:48 git Note Added: 0034678
2014-11-25 17:07 apv Note Added: 0034680
2014-11-26 12:12 apv Test case number => Not needed
2014-11-26 14:23 apv Note Added: 0034701
2014-11-26 14:23 apv Assigned To apv => bugmaster
2014-11-26 14:23 apv Status reviewed => tested
2014-11-26 17:36 kgv Relationship added related to 0025474
2014-12-01 09:52 kgv Relationship added related to 0025539
2014-12-01 12:26 bugmaster Changeset attached => occt master 6c6aadb1
2014-12-01 12:26 bugmaster Status tested => verified
2014-12-01 12:26 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-01-26 12:37 git Note Added: 0036620
2015-01-26 12:37 git Note Added: 0036621
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker